import request from '@/config/axios'

export interface IndItemCategoryVO {
  id: string
  label: string
  pid: string
  sort: number
}

export interface ItemCategoryReqVO {
  label?: string
}

export const defaultProps = {
  children: 'children',
  label: 'label',
  value: 'id',
  isLeaf: 'leaf',
  emitPath: false // 用于 cascader 组件：在选中节点改变时，是否返回由该节点所在的各级菜单的值所组成的数组，若设置 false，则只返回该节点的值
}

// 查询列表
export const getCategoryList = (params) => {
  return request.get({ url: '/data/plan/category/list', params})
}

// 查询列表
export const getCategoryListAllSimple = () => {
  return request.get({ url: '/data/plan/category/list-all-simple'})
}

// 查询详情
export const getCategory = (id: number) => {
  return request.get({ url: '/data/plan/category/get?id=' + id})
}

// 新增
export const createCategory = (data: ScheduleModelVO) => {
  return request.post({ url: '/data/plan/category/create', data })
}

// 修改
export const updateCategory = (data: ScheduleModelVO) => {
  return request.put({ url: '/data/plan/category/update', data })
}

// 删除
export const deleteCategory = (id: number) => {
  return request.delete({ url: '/data/plan/category/delete?id=' + id })
}
